{
  "pluginId": "default",
  "version": "current",
  "label": "Next",
  "banner": null,
  "badge": false,
  "noIndex": false,
  "className": "docs-version-current",
  "isLast": true,
  "docsSidebars": {
    "tutorialSidebar": [
      {
        "type": "link",
        "label": "mchSamples C# .NET",
        "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/intro",
        "docId": "intro"
      },
      {
        "type": "category",
        "label": "Entity Framework Core",
        "collapsible": true,
        "collapsed": true,
        "items": [
          {
            "type": "link",
            "label": "Introduction",
            "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/intro",
            "docId": "Entity-Framework/intro"
          },
          {
            "type": "category",
            "label": "1. Fundamentals",
            "collapsible": true,
            "collapsed": true,
            "items": [
              {
                "type": "link",
                "label": "1.1. Connection Strings",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Fundamentals/ConnectionStrings",
                "docId": "Entity-Framework/Fundamentals/ConnectionStrings"
              },
              {
                "type": "link",
                "label": "1.2. Testing In Memory",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Fundamentals/TestingInMemory",
                "docId": "Entity-Framework/Fundamentals/TestingInMemory"
              }
            ],
            "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/category/1-fundamentals"
          },
          {
            "type": "category",
            "label": "2. Model",
            "collapsible": true,
            "collapsed": true,
            "items": [
              {
                "type": "link",
                "label": "2.1. Naming conventions (Entity Framework Code First)",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/EF_CF_namingConventions",
                "docId": "Entity-Framework/Model/EF_CF_namingConventions"
              },
              {
                "type": "link",
                "label": "2.2. Data Annotations (Entity Framework Code First)",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/EF_CF_dataAnnotations",
                "docId": "Entity-Framework/Model/EF_CF_dataAnnotations"
              },
              {
                "type": "link",
                "label": "2.3. Fluent API (Entity Framework Code First)",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/EF_CF_FluentAPI",
                "docId": "Entity-Framework/Model/EF_CF_FluentAPI"
              },
              {
                "type": "link",
                "label": "2.4. Keys with conventions (Entity Framework Code First)",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/EF_CF_KeysConvention",
                "docId": "Entity-Framework/Model/EF_CF_KeysConvention"
              },
              {
                "type": "link",
                "label": "2.5. Keys with data annotations (Entity Framework Code First)",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/EF_CF_KeysDataAnnotations",
                "docId": "Entity-Framework/Model/EF_CF_KeysDataAnnotations"
              },
              {
                "type": "link",
                "label": "2.6. Keys with Fluent API",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/EF_CF_Keys_FluentAPI",
                "docId": "Entity-Framework/Model/EF_CF_Keys_FluentAPI"
              },
              {
                "type": "link",
                "label": "2.7. Value Generation",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/ValueGeneration",
                "docId": "Entity-Framework/Model/ValueGeneration"
              },
              {
                "type": "link",
                "label": "2.8. Data Seeding Before Entity Framework 2.1",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/DataSeedingBeforeEF2_1",
                "docId": "Entity-Framework/Model/DataSeedingBeforeEF2_1"
              },
              {
                "type": "link",
                "label": "2.9. Data Seeding",
                "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/Entity-Framework/Model/DataSeeding",
                "docId": "Entity-Framework/Model/DataSeeding"
              }
            ],
            "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/category/2-model"
          }
        ],
        "href": "/documentation/mchSamples_.NET/docusaurus/mchsamples-.net-core/fr/docs/category/entity-framework-core"
      }
    ]
  },
  "docs": {
    "Entity-Framework/Fundamentals/ConnectionStrings": {
      "id": "Entity-Framework/Fundamentals/ConnectionStrings",
      "title": "ex_041_001_ConnectionStrings",
      "description": "utiliser une chaîne de connexion SQL Server ou SQLite",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Fundamentals/TestingInMemory": {
      "id": "Entity-Framework/Fundamentals/TestingInMemory",
      "title": "ex_041_004_TestingInMemory",
      "description": "présente comment utiliser des fournisseurs en mémoire pour éviter la surchage de la création d'une base de données en particulier dans le cas de tests unitaires. Cet exemple est composé de 4 projets.",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/intro": {
      "id": "Entity-Framework/intro",
      "title": "Entity Framework Core 3.0",
      "description": "Start here",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/DataSeeding": {
      "id": "Entity-Framework/Model/DataSeeding",
      "title": "Data Seeding",
      "description": "explique comment utiliser un stub (méthode recommandée depuis EF Core 2.1)",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/DataSeedingBeforeEF2_1": {
      "id": "Entity-Framework/Model/DataSeedingBeforeEF2_1",
      "title": "Data Seeding Before Entity Framework 2.1",
      "description": "explique comment utiliser un stub (méthode qui était recommandée avant EF Core 2.1)",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/EF_CF_dataAnnotations": {
      "id": "Entity-Framework/Model/EF_CF_dataAnnotations",
      "title": "Data Annotations",
      "description": "explique comment utiliser les data annotations pour personnaliser la transformation d'une entité en table",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/EF_CF_FluentAPI": {
      "id": "Entity-Framework/Model/EF_CF_FluentAPI",
      "title": "Fluent API (Entity Framework Code First)",
      "description": "explique comment utiliser la Fluent API pour personnaliser la transformation d'une entité en table",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/EF_CF_Keys_FluentAPI": {
      "id": "Entity-Framework/Model/EF_CF_Keys_FluentAPI",
      "title": "Keys with Fluent API",
      "description": "explique comment créer les clés primaires d'une entité lorsqu'on utilise la Fluent API",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/EF_CF_KeysConvention": {
      "id": "Entity-Framework/Model/EF_CF_KeysConvention",
      "title": "Keys with conventions",
      "description": "explique comment créer les clés primaires d'une entité lorsqu'on utilise les conventions d'écriture",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/EF_CF_KeysDataAnnotations": {
      "id": "Entity-Framework/Model/EF_CF_KeysDataAnnotations",
      "title": "Keys with data annotations",
      "description": "explique comment créer les clés primaires d'une entité lorsqu'on utilise les *data annotations",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/EF_CF_namingConventions": {
      "id": "Entity-Framework/Model/EF_CF_namingConventions",
      "title": "Entity Framework CodeFirst Conventions",
      "description": "explique quelles sont les conventions d'écriture utilisées pour la transformation d'une entité en table",
      "sidebar": "tutorialSidebar"
    },
    "Entity-Framework/Model/ValueGeneration": {
      "id": "Entity-Framework/Model/ValueGeneration",
      "title": "Value Generation",
      "description": "explique comment faire générer des valeurs automatiquement lors de l'insertion ou de la mise à jour",
      "sidebar": "tutorialSidebar"
    },
    "intro": {
      "id": "intro",
      "title": "mchSamples C# .NET",
      "description": ".NET",
      "sidebar": "tutorialSidebar"
    }
  }
}